VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CommandLine"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private CmdLine As Collection

Public Sub Add(Arg As String)
    CmdLine.Add Arg
End Sub

Property Get Count() As Integer
    Count = CmdLine.Count
End Property

Property Get Item(inum As Integer) As String
    Item = CmdLine.Item(inum)
End Property


Public Sub Parse(s As String, dlm As String)
    Dim hs As String
    Dim l As Long
    Dim pos As Long
    
    If Len(s) = 0 Then Exit Sub
    
    'if no delimiter set it to space
    'If dlm = "" Then dlm = " "
    
    pos = InStr(s, dlm)
    
    While pos > 0
        Add (Left(s, pos - 1))
        l = Len(s)
        s = Right(s, l - pos)
        pos = InStr(s, dlm)
    Wend
    '   
    Add (s)
    
End Sub

Private Sub Class_Initialize()
    Set CmdLine = New Collection
End Sub

Private Sub Class_Terminate()
    Set CmdLine = Nothing
End Sub
