VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "CLSMS"
   ClientHeight    =   2220
   ClientLeft      =   345
   ClientTop       =   750
   ClientWidth     =   3990
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2220
   ScaleWidth      =   3990
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim cline As String
Dim ConnectionString As String
Dim SQL As String
Dim tmpFile As String



Private Sub Form_Load()
    
    cline = Command$
    
    
    If App.PrevInstance Then
        DoEvents
        
        Unload Me
        Exit Sub
    End If
    
    DoEvents
    
    DoTheJob
    
End Sub

Private Sub Form_Unload(Cancel As Integer)
    
    End
End Sub


Private Sub DoTheJob()
    On Error GoTo Error:
    
    Dim i As Long
    Dim cl As New CommandLine
        
    
    'Parse Command Line arguments
    'cl.Parse (cline,"")
    cl.Parse cline, "/"
    
    'if we have at least 3 arguments
    If cl.Count = 3 Then
        ConnectionString = Trim(cl.Item(1))
        SQL = Trim(cl.Item(2))
        tmpFile = Trim(cl.Item(3))
            
    Else
        MsgBox "Usage: DB2CSV ConnectionString/SQL SELECT statement/FileName.CSV", vbCritical, "DB2CSV"
        Unload Me
        Exit Sub
    End If
    
    MakeCSV
        
Exit Sub
Error:
    MsgBox Err.Number & ": " & Err.Description
    Unload Me
    'Resume Next
End Sub


Private Sub MakeCSV()
    On Error GoTo Error:
    
    Dim i As Long
    
    
    Dim fh As Integer
    Dim rs1 As ADODB.Recordset
    Dim hlpstr As String
    Dim hlpstrutf8 As String
    Dim pos As Long
    
    
    Set cn1 = New ADODB.Connection
    
    cn1.ConnectionString = ConnectionString
    cn1.Open ""
    
    Set ldb = New db
    
    Set rs1 = ldb.GetRS(SQL)
    
    If rs1.RecordCount > 0 Then
        '
        If FileExists(tmpFile) Then Kill tmpFile
        fh = FreeFile
        Open tmpFile For Append As #fh
        
        
        hlpstr = ""
        
        'Put headers to CSV file
        For i = 0 To rs1.Fields.Count - 1
        
            If i <> 0 Then hlpstr = hlpstr & ";"
            hlpstr = hlpstr & rs1.Fields(i).Name
        Next
        
        'UTF8 encoding
        hlpstrutf8 = EncodeUTF8(hlpstr)
        
        'Write to CSV file
        Print #fh, hlpstrutf8
        
        
        rs1.AbsolutePosition = 1
        Form1.MousePointer = vbHourglass
        
        While Not rs1.BOF And Not rs1.EOF
            hlpstr = ""
        
            For i = 0 To rs1.Fields.Count - 1
        
                If i <> 0 Then hlpstr = hlpstr & ";"
                
                'Replace ; with , because ; is our delimiter
                hlpstr = hlpstr & Replace("" & rs1.Fields(i).Value, ";", ",")
            Next
            
            
            'UTF8 encoding
            hlpstrutf8 = EncodeUTF8(hlpstr)
            
            'Write to CSV file
            Print #fh, hlpstrutf8
            
            DoEvents
            rs1.MoveNext
        Wend
    
    End If
    
    Form1.MousePointer = vbDefault
    Close #fh
    
    cn1.Close
    Set cn1 = Nothing
    
    Unload Me
    
    Exit Sub
Error:
    MsgBox Err.Number & ": " & Err.Description
    Unload Me
    'Resume Next
End Sub


